Skip to main content
POST
/
v1
/
organizations
/
{organizationId}
/
webhooks
/
endpoints
/
{endpointId}
/
test
Send a test webhook
curl --request POST \
  --url https://api.tripwirejs.com/v1/organizations/{organizationId}/webhooks/endpoints/{endpointId}/test \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "object": "webhook_test",
    "event_id": "wevt_0123456789abcdef0123456789abcdef",
    "delivery_ids": [
      "wdlv_0123456789abcdef0123456789abcdef"
    ],
    "latest_delivery": {
      "object": "webhook_delivery",
      "id": "wdlv_0123456789abcdef0123456789abcdef",
      "event_id": "wevt_0123456789abcdef0123456789abcdef",
      "endpoint_id": "we_0123456789abcdef0123456789abcdef",
      "event_type": "session.fingerprint.calculated",
      "status": "pending",
      "attempts": 1,
      "response_status": 1,
      "response_body": "response_body",
      "error": "error",
      "created_at": "2026-03-24T20:00:00.000Z",
      "updated_at": "2026-03-24T20:00:05.000Z"
    }
  },
  "meta": {
    "request_id": "req_cf147349a4134208aebb8c70e25fb7e1"
  }
}

Authorizations

Authorization
string
header
required

Send Authorization: Bearer . Gate business endpoints require sk_* secret keys. Gate workflow endpoints use gate-native bearer tokens such as gtpoll_* or agt_* where documented.

Path Parameters

organizationId
string
required
Pattern: ^org_[0123456789abcdefghjkmnpqrstvwxyz]{26}$
Example:

"org_f6m39y94nh6fs513q03skj929c"

endpointId
string
required
Pattern: ^we_[0-9a-f]{32}$
Example:

"we_0123456789abcdef0123456789abcdef"

Response

Test webhook delivery enqueued.

data
object
required
Example:
{
"object": "webhook_test",
"event_id": "wevt_0123456789abcdef0123456789abcdef",
"delivery_ids": ["wdlv_0123456789abcdef0123456789abcdef"],
"latest_delivery": {
"object": "webhook_delivery",
"id": "wdlv_0123456789abcdef0123456789abcdef",
"event_id": "wevt_0123456789abcdef0123456789abcdef",
"endpoint_id": "we_0123456789abcdef0123456789abcdef",
"event_type": "session.fingerprint.calculated",
"status": "pending",
"attempts": 1,
"response_status": 1,
"response_body": "response_body",
"error": "error",
"created_at": "2026-03-24T20:00:00.000Z",
"updated_at": "2026-03-24T20:00:05.000Z"
}
}
meta
object
required
Example:
{
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1"
}